/** Example of Apemanfile.js */

'use strict'

module.exports = {
  $cwd: __dirname,
  $pkg: require('./package.json'),
  $tmpls: { /* ... */ },
  // Define a task
  $tasks: {
    // Use apeman task package
    'my-task01': require('apeman-task-mkdirp')([
      'ci', 'lib', 'test'
    ]),
    // Define a custom task
    'my-task-02' (context) {
      /* ... */
      return new Promise((resolve, reject) => {
        /* ... */
        resolve({})
      })
    },
    // Combine other tasks
    'my-task-03': [
      'my-task01',
      'my-task02'
    ]
  },
  $apps: { /* ... */ },
  $wtchs: { /* ... */ }
}
