/**
 * Test case for listTasks.
 * Runs with mocha.
 */
'use strict'

const listTasks = require('../lib/tasking/list_tasks.js')
const assert = require('assert')

describe('list tasks', () => {
  it('List tasks', (done) => {
    listTasks({
      get: function (name) {
        return {
          foo: 'bar'
        }
      }
    }, 'foo').then(
      (result) => done(),
      (err) => assert.ifError(err)
    )
  })
})

/* global describe, before, after, it */
