/**
 * Test for bin.
 */

'use strict'

const bin = require.resolve('../bin/apeman-task')
const assert = require('assert')
const cp = require('child_process')

describe('bin', () => {
  it('List tasks.', (done) => {
    let cmd = [
      bin,
      '-c',
      require.resolve('../doc/mocks/mock-Apemanfile.js')
    ].join(' ')
    cp.exec(cmd, (err) => {
      assert.ifError(err)
      done()
    })
  })
})
/* global describe, before, after, it */
