/**
 * Test case for listLogger.
 * Runs with mocha.
 */
'use strict'

const ListLogger = require('../lib/logging/list_logger.js')
const assert = require('assert')

describe('list logger', () => {
  it('List logger', (done) => {
    let logger = new ListLogger({})
    assert.ok(assert)
    logger.logList({
      foo: [
        'foo:foo1',
        'foo:foo2'
      ],
      'foo:foo1': function () {

      },
      'foo:foo2': {
        desc: 'baz'
      },
      'foo:foo3': [
        {
          desc: 'baz.'
        }, {
          desc: 'baz2.'
        }
      ]
    })
    done()
  })
})

/* global describe, before, after, it */
