/**
 * Test case for runLogger.
 * Runs with mocha.
 */
'use strict'

const RunLogger = require('../lib/logging/run_logger.js')
const assert = require('assert')

describe('run logger', () => {
  it('Run logger', (done) => {
    let logger = new RunLogger({
      verbose: true,
      indent: 2
    })
    logger.logTaskStarted('foo', {
      baz: 'quz'
    })
    logger.error = function () {

    }
    logger.logTaskFinished(300)
    // logger.logTaskFailed(new Error())
    done()
  })
})

/* global describe, before, after, it */
